<%@ page import="com.cidat.proclets.*,itourbaskBeans.*,java.util.*,q53_util.*,itourbaskClases.q53RespuestaClass,itourbaskBeans.q53RespuestaBean,java.io.IOException;" session="true" %><% 
//deshabilitar la cache
response.setHeader("Cache-Control", "no-cache"); 
response.addHeader( "pragma", "no-cache");
response.setDateHeader("Expires", -1);
//FIN deshabilitar la cache
com.cidat.proclets.ProcletServiceData sd=(com.cidat.proclets.ProcletServiceData)request.getAttribute("com.cidat.proclets.sd"); 
String q53_idioma = q53Util.getIdioma(sd); 
String perfiles = (String)sd.getVal("perfiles");
List calendarioLiteralesList = null;
if(sd.getVal("literalesCalendario") != null){
    calendarioLiteralesList = (List)sd.getVal("literalesCalendario");
}
//codigo aleatorio para evitar la repeticion por el cacheo del proxy
String codigo_aleatorio = q53Util.obtener_cod_aleatorio();

String q53Idioma = q53Util.getIdioma(sd);
// Literales
String not_campovacio= q53Util.getLiteral(sd, "NOT_CAMPOVACIO", q53_idioma);
String not_digitosyNumerico= q53Util.getLiteral(sd, "NOT_VALIDAR1", q53_idioma);
String not_emailCorrecto= q53Util.getLiteral(sd, "NOT_VALIDAR2", q53_idioma);
String not_faxCorrecto= q53Util.getLiteral(sd, "NOT_VALIDAR3", q53_idioma);
String not_fechaCorrecta= q53Util.getLiteral(sd, "NOT_VALIDAR4", q53_idioma);
String not_nhojasCorrecto= q53Util.getLiteral(sd, "NOT_VALIDAR5", q53_idioma);
String not_correo= q53Util.getLiteral(sd, "NOT_CORREO", q53_idioma);
String enc_usuario= q53Util.getLiteral(sd, "ENC_USUARIO", q53_idioma);
String not_datos= q53Util.getLiteral(sd, "NOT_DATOS", q53_idioma);
String not_guardarambas= q53Util.getLiteral(sd, "NOT_GUARDARAMBAS", q53_idioma);
String not_guardarygen= q53Util.getLiteral(sd, "NOT_GUARDARYGEN", q53_idioma);
String not_cp= q53Util.getLiteral(sd, "NOT_CP", q53_idioma);
String not_desti= q53Util.getLiteral(sd, "NOT_DESTI", q53_idioma);
String not_remi= q53Util.getLiteral(sd, "NOT_REMI", q53_idioma);
String not_nhojas= q53Util.getLiteral(sd, "NOT_NHOJAS", q53_idioma);
String not_fecha= q53Util.getLiteral(sd, "NOT_FECHA", q53_idioma);
String not_fax= q53Util.getLiteral(sd, "NOT_FAX", q53_idioma);
String not_email= q53Util.getLiteral(sd, "NOT_EMAIL", q53_idioma);
String not_localidad= q53Util.getLiteral(sd, "NOT_LOCALIDAD", q53_idioma);
String not_direccion= q53Util.getLiteral(sd, "NOT_DIRECCION", q53_idioma);
String not_nombre= q53Util.getLiteral(sd, "NOT_NOMBRE", q53_idioma);
String not_recogida= q53Util.getLiteral(sd, "NOT_RECOGIDA", q53_idioma);
String ENC_LOCAL=q53Util.getLiteral(sd, "ENC_LOCAL", q53_idioma);
String enc_pendiente= q53Util.getLiteral(sd, "ENC_PENDIENTE", q53_idioma);
String cod_desc=q53Util.getLiteral(sd, "PREG_DESC", q53_idioma);
String txt_desc=q53Util.getLiteral(sd, "PREG_DESC_T", q53_idioma);    
String enc_habilitar=q53Util.getLiteral(sd, "ENC_HABILITAR", q53_idioma);
String enc_habilitar_respuesta=q53Util.getLiteral(sd, "ENC_HABILITAR_RESPUESTA", q53_idioma);
String ALERT_PROVINCIA=q53Util.getLiteral(sd, "ALERT_PROVINCIA", q53_idioma);
String ALERT_PERDER_DATOS=q53Util.getLiteral(sd, "ALERT_PERDER_DATOS", q53_idioma);
String ALERT_PROCEDENCIA_1=q53Util.getLiteral(sd, "ALERT_PROCEDENCIA_1", q53_idioma);
String ALERT_PROCEDENCIA_2=q53Util.getLiteral(sd, "ALERT_PROCEDENCIA_2", q53_idioma);
String ALERT_PROCEDENCIA_3=q53Util.getLiteral(sd, "ALERT_PROCEDENCIA_3", q53_idioma);
String ALERT_PROCEDENCIA_4=q53Util.getLiteral(sd, "ALERT_PROCEDENCIA_4", q53_idioma);
String ALERT_TIPO_INFO=q53Util.getLiteral(sd, "ALERT_TIPO_INFO", q53_idioma);
String enc_titulo_fecha_intro=q53Util.getLiteral(sd, "ENC_TITULO_FECHA_INTRO", q53_idioma);
String enc_titulo_fecha_vis=q53Util.getLiteral(sd, "ENC_TITULO_FECHA_VIS", q53_idioma);
String ALERT_INFO_MEDIO_RECEPCION=q53Util.getLiteral(sd, "ALERT_INFO_MEDIO_RECEPCION", q53_idioma);
String ALERT_INFO_MEDIO_RESPUESTA=q53Util.getLiteral(sd, "ALERT_INFO_MEDIO_RESPUESTA", q53_idioma);
String mnu_recogida_datos = q53Util.getLiteral(sd, "MNU_RECOGIDA_DATOS", q53_idioma);
String enc_hoy = q53Util.getLiteral(sd, "ENC_HOY", q53_idioma);
String enc_tipo_fecha = q53Util.getLiteral(sd, "ENC_TIPO_FECHA", q53_idioma);
String enc_tipo_fecha_respuesta = q53Util.getLiteral(sd, "ENC_TIPO_FECHA_RESPUESTA", q53_idioma);
String enc_tipo_hora = q53Util.getLiteral(sd, "ENC_TIPO_HORA", q53_idioma);
String n1_5 = q53Util.getLiteral(sd, "N1_5", q53_idioma);
String enc_total = q53Util.getLiteral(sd, "ENC_TOTAL", q53_idioma);
String enc_personas = q53Util.getLiteral(sd, "ENC_PERSONAS", q53_idioma);
String enc_tipo_procedencia = q53Util.getLiteral(sd, "ENC_TIPO_PROCEDENCIA", q53_idioma);
String enc_local = q53Util.getLiteral(sd, "ENC_LOCAL", q53_idioma);
String enc_territorio_historico = q53Util.getLiteral(sd, "ENC_TERRITORIO_HISTORICO", q53_idioma);
String enc_comunidad_autonoma = q53Util.getLiteral(sd, "ENC_COMUNIDAD_AUTONOMA", q53_idioma);
String enc_pais = q53Util.getLiteral(sd, "ENC_PAIS", q53_idioma);
String usr_ver_formato_imprimir = q53Util.getLiteral(sd, "USR_VER_FORMATO_IMPRIMIR", q53_idioma);
String gen_terminar = q53Util.getLiteral(sd, "GEN_TERMINAR", q53_idioma);
String gen_guardar = q53Util.getLiteral(sd, "GEN_GUARDAR", q53_idioma);
String usr_ver_encuestas = q53Util.getLiteral(sd, "USR_VER_ENCUESTAS", q53_idioma);
String gen_terminar_ambas = q53Util.getLiteral(sd, "GEN_TERMINAR_AMBAS", q53_idioma);
String est_alert_select_th = q53Util.getLiteral(sd, "EST_ALERT_SELECT_TH", q53_idioma);
String enc_procedencia_datos = q53Util.getLiteral(sd, "ENC_PROCEDENCIA_DATOS", q53_idioma);
String enc_ccaa = q53Util.getLiteral(sd, "ENC_CCAA", q53_idioma);
String enc_total_personas = q53Util.getLiteral(sd, "ENC_TOTAL_PERSONAS", q53_idioma);
String enc_total_personas_1 = q53Util.getLiteral(sd, "ENC_TOTAL_PERSONAS_1", q53_idioma);
String enc_preg_obligatoria = q53Util.getLiteral(sd, "ENC_PREG_OBLIGATORIA", q53_idioma);
String est_compruebe_fecha = q53Util.getLiteral(sd, "EST_COMPRUEBE_FECHA", q53_idioma);
String est_compruebe_fecha_respuesta = q53Util.getLiteral(sd, "EST_COMPRUEBE_FECHA_RESPUESTA", q53_idioma);
String est_compruebe_fecha_recepcion = q53Util.getLiteral(sd, "EST_COMPRUEBE_FECHA_RECEPCION", q53_idioma);
String enc_presencial = q53Util.getLiteral(sd, "ENC_PRESENCIAL", q53_idioma);
String enc_no_pres = q53Util.getLiteral(sd, "ENC_NO_PRES", q53_idioma);
String enc_presencial_tabla = q53Util.getLiteral(sd, "ENC_PRESENCIAL_TABLA", q53_idioma);
String enc_no_pres_tabla = q53Util.getLiteral(sd, "ENC_NO_PRES_TABLA", q53_idioma);
String cpos = q53Util.getLiteral(sd, "CPOS", q53_idioma);
String enc_medio_recep = q53Util.getLiteral(sd, "ENC_MEDIO_RECEP", q53_idioma);
String enc_medio_respuesta = q53Util.getLiteral(sd, "ENC_MEDIO_RESPUESTA", q53_idioma);
String recepcion = q53Util.getLiteral(sd, "RECEPCION", q53_idioma);
String respuesta = q53Util.getLiteral(sd, "RESPUESTA", q53_idioma);
String enc_mantener=q53Util.getLiteral(sd, "ENC_MANTENER", q53_idioma);
String enc_estado= q53Util.getLiteral(sd, "ENC_ESTADO", q53_idioma);
String TIP_VER_ULTIMA_ENCUESTA=q53Util.getLiteral(sd, "TIP_VER_ULTIMA_ENCUESTA", q53_idioma);
%><%!
/**
 * escribe una pregunta de tipo OPCIONES
 **/
private void escribirPregOpciones (javax.servlet.jsp.JspWriter out, q53PreguntaBean preguntaBean, int num_pregunta,int preguntasLength) throws IOException, ProcletException {
    String codPregunta = preguntaBean.getCodPregunta();
    int intCodPregunta = Integer.valueOf(codPregunta).intValue();
    String descripcion = preguntaBean.getDescripcionPregunta();
    boolean obligatoria = preguntaBean.isObligatoria();  
    
    out.println ("<div class='col-sm-12 form-group  form-group-inline'>");
    out.println ("<div class='col-sm-2'>");
    out.println ("<span class='numero_apartado'>"+num_pregunta+"</span>");
    out.println ("<span class='apartado'>"+descripcion+"</span>");
    if(obligatoria){
        out.println ("<span class='textorojobold apartado'>*</span>");
    }
    out.println ("</div>");  
    
    out.println ("<div class='col-sm-10  form-group-inline'>");  
   
    q53OpcionesBean opcionesBean = preguntaBean.getPreguntaOpciones();    
    String formato = opcionesBean.getFormato();    
    if (formato.equals(q53Constantes.FORMATO_SELECT)) {
    	out.println ("<input id='opt_"+codPregunta+"' name='opt_"+codPregunta+"' type='text' style='width: 400px;'>");
       	out.println ("<span style='top:6px' class='material-icons'>&#9660;</span>");
        out.println ("<script>");
        out.println ("preguntas["+preguntasLength+"]=new gen_PregOpciones('"+codPregunta+"','"+descripcion+"','"+obligatoria+"','opciones','select');");
        out.println ("</script>");
    }else if (formato.equals(q53Constantes.FORMATO_CHECK)) {       
        out.println ("<input name='opt_"+codPregunta+"' type='hidden' id='tipo_check_"+codPregunta+"'>");
        List opcionesList = opcionesBean.getOpcionList();
        if(opcionesList != null && !(opcionesList.isEmpty())){
            int numOpciones = opcionesList.size();
            for (int j=0; j<numOpciones; j++) {
                q53OpcionBean opcionBean = (q53OpcionBean)opcionesList.get(j);
                String codOpcion = opcionBean.getCodOpciones();
                String descripcionOpcion = opcionBean.getDescipcionOpcion();
				out.println ("<div class='form-group-inline'>");
				out.println ("<input id='opt_check_"+j+"' class='styled-checkbox' name='opt_check_"+j+"' type='checkbox' value='"+codOpcion+"'>");
				out.println ("<label for='opt_check_"+j+"'></label>");
				out.println ("<label for='opt_check_"+j+"'>"+descripcionOpcion+"</label>");
				out.println ("</div>");
            }
        }
        out.println ("<script>");
        out.println ("preguntas["+preguntasLength+"]=new gen_PregOpciones('"+codPregunta+"','"+descripcion+"','"+obligatoria+"','opciones','check');");
        out.println ("</script>");
    }else if (formato.equals(q53Constantes.FORMATO_RADIO)) {
        List opcionesList = opcionesBean.getOpcionList();
        if(opcionesList != null && !(opcionesList.isEmpty())){
            int numOpciones = opcionesList.size();
            for (int j=0; j<numOpciones; j++) {
                q53OpcionBean opcionBean = (q53OpcionBean)opcionesList.get(j);
                String codOpcion = opcionBean.getCodOpciones();
                String descripcionOpcion = opcionBean.getDescipcionOpcion();
                out.println ("<div class='form-group-inline'>");
                out.println ("<input id='opt_"+codPregunta+"' name='opt_"+codPregunta+"' type='radio' value='"+codOpcion+"'>");
                out.println ("<label for='opt_"+codPregunta+"'>"+descripcionOpcion+"</label>");
                out.println ("</div>");
            }
        }
        out.println ("<script>");
        out.println ("preguntas["+preguntasLength+"]=new gen_PregOpciones('"+codPregunta+"','"+descripcion+"','"+obligatoria+"','opciones','radio');");
        out.println ("</script>");
    }
    out.println ("</div>");
    out.println ("</div>");
}

/**
 * escribe una pregunta de tipo TEXTO
 **/
private void escribirPregTexto (javax.servlet.jsp.JspWriter out, q53PreguntaBean preguntaBean,  int num_pregunta,int preguntasLength) throws IOException, ProcletException {
    String codPregunta = preguntaBean.getCodPregunta();
    int intCodPregunta = Integer.valueOf(codPregunta).intValue();
    String descripcion = preguntaBean.getDescripcionPregunta();
    boolean obligatoria = preguntaBean.isObligatoria();
    q53TextoBean textoBean = preguntaBean.getPreguntaTexto();
    int tamano = textoBean.getTamanioTexto();
    
    out.println ("<div class='col-sm-12 form-group  form-group-inline'>");
    out.println ("<div class='col-sm-2'>");
    out.println ("<span class='numero_apartado'>"+num_pregunta+"</span>");
    out.println ("<span class='apartado'>"+descripcion+"</span>");
    if(obligatoria){
        out.println ("<span class='textorojobold apartado'>*</span>");
    }
    out.println ("</div>");  
    
    out.println ("<div class='col-sm-10  form-group-inline'>"); 
    out.println ("<input id='txt_"+codPregunta+"' name='txt_"+codPregunta+"' type='text' class='inptxt' style='width: 400px;'>");
    out.println ("</div>");
    out.println ("</div>");

    out.println ("<script>");
    out.println ("preguntas["+preguntasLength+"]=new gen_PregTexto('"+codPregunta+"','"+descripcion+"','"+obligatoria+"','texto','"+tamano+"');");
    out.println ("</script>");
}
/**
 * escribe una pregunta de tipo FECHA
 **/
private void escribirPregFecha (javax.servlet.jsp.JspWriter out, q53PreguntaBean preguntaBean, ProcletServiceData sd,int num_pregunta,int preguntasLength) throws IOException, ProcletException {
    List calendarioLiteralesList = null;
    if(sd.getVal("literalesCalendario") != null){
        calendarioLiteralesList = (List)sd.getVal("literalesCalendario");
    }
    String q53Idioma = q53Util.getIdioma(sd);
    String codPregunta = preguntaBean.getCodPregunta();
    int intCodPregunta = Integer.valueOf(codPregunta).intValue();
    String descripcion =preguntaBean.getDescripcionPregunta();
    boolean obligatoria = preguntaBean.isObligatoria();
   	q53FechaBean fechaBean = preguntaBean.getPreguntaFecha();
    String fecha_min = fechaBean.getFechaMin();
    String fecha_max = fechaBean.getFechaMax();
    
    out.println ("<div class='col-sm-12 form-group-inline'>");
    out.println ("<div class='col-sm-2'>");
    out.println ("<span class='numero_apartado'>"+num_pregunta+"</span>");
    out.println ("<span class='apartado'>"+descripcion+"</span>");
    if(obligatoria){
        out.println ("<span class='textorojobold apartado'>*</span>");
    }
    out.println ("</div>");  
    
    java.text.SimpleDateFormat sdf = new java.text.SimpleDateFormat ("dd.MM.yyyy");
    String ahora = sdf.format (new java.util.Date());
    String ahora_dia = ahora.substring (0,2);
    String ahora_mes = ahora.substring (3,5);
    String ahora_anio = ahora.substring (6);
    out.println ("<div class='form-group-inline'>");
    out.println ("<input id='fech_"+codPregunta+"' name='fech_"+codPregunta+"' type='text'>");
   	out.println ("<span style='top:6px' class='material-icons'>&#9660;</span>");
    out.println ("</div>");
    out.println ("<div class='form-group-inline'>");
    out.println ("<input id='fech_"+codPregunta+"_mes' name='fech_"+codPregunta+"' type='text'>");
   	out.println ("<span style='top:6px' class='material-icons'>&#9660;</span>");
    out.println ("</div>");
    out.println ("<div class='form-group-inline'>");
    out.println ("<input id='fech_"+codPregunta+"_anio' name='fech_"+codPregunta+"_anio' type='text'>");
    out.println ("<span style='top:6px' class='material-icons'>&#9660;</span>");
    out.println ("</div>");
    out.println ("</div>");
    out.println ("<script>");
    out.println ("preguntas["+preguntasLength+"]=new gen_PregFecha('"+codPregunta+"','"+descripcion+"','"+obligatoria+"','fecha','"+fecha_min+"','"+fecha_max+"');");
    out.println ("</script>");
}

/**
 * Escribe el texto de introducción de la encuesta, si existe
 **/
private void escribirTextoEncuesta (javax.servlet.jsp.JspWriter out, ProcletServiceData sd, String enc) throws IOException, ProcletException {
    if (!sd.gOS(enc+"[0].n0_texto").equals("")) {
        // el texto existe
        out.println ("<div class='col-sm-12 form-group  form-group-inline'>");
        out.println ("<span>"+sd.gOS(enc+"[0].n0_texto")+"</span>");
        out.println ("</div>");
    } // if
}
%><%

String cod_enc_oficina = "";
String cod_version_oficina = "";
String cod_descripcion_oficina = "";
q53EncuestaBean encuestaBean = null;
if (sd.getVal("hay_preg_ofi").equals("SI")) {
   encuestaBean  = (q53EncuestaBean)sd.getVal("encVisible");
   cod_enc_oficina = encuestaBean.getCodEncuesta();
   cod_version_oficina = encuestaBean.getCodVersion();
   cod_descripcion_oficina =encuestaBean.getDescripcionEncuesta();
}else{
   encuestaBean  = (q53EncuestaBean)sd.getVal("encuestaGV");
}

    String n8_5_1 = q53Util.getLiteral(sd, "N8_5_1", q53_idioma);
    String n8_5_2 = q53Util.getLiteral(sd, "N8_5_2", q53_idioma);
    String n8_5_3 = q53Util.getLiteral(sd, "N8_5_3", q53_idioma);
    String n8_5_4 = q53Util.getLiteral(sd, "N8_5_4", q53_idioma);
    String n8_5_5 = q53Util.getLiteral(sd, "N8_5_5", q53_idioma);

%><!DOCTYPE html> <!-- HTML5 -->
<html>
<head>
<!-- Tags para diseño responsive -->
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- Fin Tags para diseño responsive -->
<title> itourbask </title>
<!-- Bootstrap core CSS -->
<link href="/appcont/itourbask/styles/bootstrap.css" rel="stylesheet" type="text/css">
<link href="/appcont/itourbask/styles/index.css" rel="stylesheet" type="text/css">
<link href="/appcont/itourbask/styles/estilos.css" rel="stylesheet" type="text/css">
<link href="/appcont/itourbask/jquery-ui/jquery-ui.css" rel="stylesheet" type="text/css">
<link href="https://fonts.googleapis.com/css?family=Lato:100,900italic,100italic,300,300italic,400,700,400italic,700italic,900|Oswald:400,300,700" rel="stylesheet" type="text/css">
<script src="/appcont/itourbask/scripts/param.js"></script>
<script src="/appcont/itourbask/scripts/general.js"></script>
</head>
</style>
<script>
//notificaciones_validadas=> Variable que se utiliza para no repetir la validacion de las notificaciones cuando se pulsa en 
//							 "guardar y generar notificaciÃ³n", 1=> si 0=> no		
var notificaciones_validadas=0;																									
function abrir_ventana_notificacion() {	
	
}
function visualizar_datos_envio(){
	
}

function ver_respuesta(codigoRespuesta){
	
}

function hayDatos(){
	
}

function CargarPaginaConfirm(ref,msg){
	
}

function cargarPAG(str){
   
}

function habilitarResp(){
	
}

function activar_campos(campos){
	
}

function desactivar_campos(campos){
	
}
//funcion que limpia los campos que no corresponden con el radiobuton seleccionado y los neutraliza para que no se 
//pueda escribir en ellos
function limpiar_campos_notificaciones(){
	
}

function validar_campo(campo,patron_validacion,todo_bien){
	
}

function campo_vacio(campo,todo_bien){
   
 }

function validar_notificaciones(){
	
}

function terminar(){
	
}

//Hay que validar que el numero de personas coincida tanto en grupos de edad como en hombres y mujeres
function comprobarNumeroPersonasProcedencia(){
	
}

/* Validar combos de procedencia y numero de personas */
function comprobarSeleccionProcedencia(){
  
}

//******************************************************************************
//validar que el numero de persona coincida tanto en grupos de edad como en hombres y mujeres
//***********************************
function comprobarNumeroPersonas(){
    
}

//Termina las dos encuestas la del g.v. y la de la oficina
function terminarEncuestas() {
    
}

function imprimir () {
   
}

function ver_respuestas (){
   
}

function volver_cancelar (){
   
}
var preguntas = new Array();

function calcularTotalPersonas() {
    
}
function calcularTotalPersonas_sexo() {
    
}
function ordenarParametrosGrupoEdad(){
    
}

function circuloOver2(num) {
	
}

function circuloOut2(num) {
	
}

function circuloOverSel2(num) {}
	

function circuloOutSel2(num) {
	
}
function deshabilitar(){
	
}
function comprobarCPOS(){
  
}

var ajax;
var ajax2;

function funcionCallbackUltima()
{

}

function funcionCallback()
{
	
}

function recuperaFecha()
{
	
}

function recuperaEncuesta()
{
	
}


</script>
</head>
<body topmargin="0" leftmargin="0" marginwidth="0" marginheight="0" onload="document.frm.tipo_envio[0].checked=true;visualizar_datos_envio();limpiar_campos_notificaciones();">
<!-- MENU -->
<jsp:include page="/q53_gen_menu.jsp" />
<!-- FIN MENU -->
<%
if(encuestaBean != null){
String recogidaDatos="N";
if(encuestaBean.isRecogidaDatos()){
    recogidaDatos = "S";
}
String codEncuesta = encuestaBean.getCodEncuesta();
String codVersion = encuestaBean.getCodVersion();
String descEncuesta = encuestaBean.getDescripcionEncuesta();

%>

<div class="container">
	<div class="col-sm-1"></div>
	<div class="col-sm-12 body_encuesta">
		<div id="cabecera_encuesta" class="col-sm-12">
			<span>
				<%= mnu_recogida_datos %>
			</span> 
			<!-- PARTE DE ULTIMA RESPUESTA -->  
            <div id="ultima_respuesta" class="col-sm-12"></div>
			<!-- FIN PARTE DE ULTIMA RESPUESTA -->
		</div>
		
			<form id="frm" name="frm" method="post" action="/q53ItourbaskWar/q53usrGuardarServlet?encuesta=nopres&cod_al=<%=codigo_aleatorio%>" class="frmclass">
				<input type="hidden" name="terminarAmbas" value="0">
				<input type="hidden" name="es_recogida_datos" value="<%=recogidaDatos%>">
				<input type="hidden" name="cod_encuesta" value="<%=codEncuesta%>">
				<input type="hidden" name="cod_version" value="<%=codVersion%>">
				<input type="hidden" name="encuesta_descripcion" value="<%=descEncuesta%>">
				<input type="hidden" name="encuestas_terminadas" value="<%=""%>">
				<input type="hidden" name="respuesta_rd_asociada" value="<%=""%>">
				<input type="hidden" name="terminarActivo" id="terminarActivo" value="1">
				<input type="hidden" name="encuesta" id="encuesta" value="nopres">
				<%int num_pregunta = 1;%>
				<input type="hidden" name="gv_cod_encuesta" value="0">
				<input type="hidden" name="gv_cod_version" value="1">
				<!-- PARTE DE ULTIMA RESPUESTA -->
				<input type="hidden" name="mantener_ultima" id="mantener_ultima" value="<%=sd.gOS("mantener_ultima")%>">
				<!-- FIN PARTE DE ULTIMA RESPUESTA -->
				<div id="fecha" class="col-sm-12 form-group  form-group-inline">
					<div class="col-sm-2 ">
						<span class='numero_apartado'>1</span>
						<span class="apartado"><%=recepcion%></span>
					</div>
					<div class="col-sm-10  form-group-inline">
						<div class="form-group-inline">
							<span class="icon material-icons"> schedule </span>
							<%if(q53_idioma.equals("C")){%>
					            <input type='text' id='dia' max="9999">
					            <span style='top:6px' class='material-icons'>&#9660;</span>
					        	<input type='text' id='mes'>
					            <span style='top:6px' class='material-icons'>&#9660;</span>
						        <input type='text' id='anio' max="9999">
			        		<%}else{%>
			        			<input type='text' id='anio' max="9999">
				                <span style='top:6px' class='material-icons'>&#9660;</span>
						        <input type='text' id='mes'>
					            <input type='text' id='dia' max="9999">
					            <span style='top:6px' class='material-icons'>&#9660;</span>
			        		<%}%>							
						</div>
						
						<div class="form-group-inline">
							<label for="fech_0_hora"><%=enc_tipo_hora%>:</label>
				             <input type='text' id='hora'>
				            <span style='top:6px' class='material-icons'>&#9660;</span>
				        </div>
					</div>
				</div>
				<%List medioRecepcionList = null;
				if(sd.getVal("literalesMedioRecepcion") != null){
					medioRecepcionList = (List)sd.getVal("literalesMedioRecepcion");
					if(medioRecepcionList != null && !medioRecepcionList.isEmpty()){
						q53LogEstadisticas.printLog("medioRecepcionList : " + medioRecepcionList);
				%>
				<div id="encMedioRecepcion" class="col-sm-12 form-group  form-group-inline">
					<div class="col-sm-2">
						<span class='numero_apartado'>2</span>
						<span class="apartado"><%=medioRecepcionList.get(0)%></span>
					</div>
					<div class="col-sm-10  form-group-inline">
					<%for(int x=2;x<6;x++){%>
					<div class="col-sm-2 form-group-inline">
						<%if(x==2){%>
						<input id='opt_3' name='opt_3' type='radio' checked value='<%=x%>'>
						<%}else{%>
						<input id='opt_3' name='opt_3' type='radio' value='<%=x%>'>
						<%}%>
						<label for="opt_3"><%=medioRecepcionList.get(x)%></label>
					</div>
					<%}%>				
					</div>
				</div>
				<script>
					preguntas[preguntas.length]=new gen_PregOpciones('3','<%=medioRecepcionList.get(0)%>','S','opciones','radio');
				</script>
<%}
}%>

				<div id="tipoFecha" class="col-sm-12 form-group  form-group-inline">
				
					<div class="col-sm-2">
						<span class='numero_apartado'>3</span>
						<span class="apartado"><%=respuesta%></span>
					</div>
					
					<div class="col-sm-10  form-group-inline">
						<span class="icon material-icons"> schedule </span>	
						<%if(q53_idioma.equals("C")){%>
					            <input type='text' id='dia2' max="9999">
					            <span style='top:6px' class='material-icons'>&#9660;</span>
					        	<input type='text' id='mes2'>
					            <span style='top:6px' class='material-icons'>&#9660;</span>
						        <input type='text' id='anio2' max="9999">
			        		<%}else{%>
			        			<input type='text' id='anio2' max="9999">
				                <span style='top:6px' class='material-icons'>&#9660;</span>
						        <input type='text' id='mes2'>
					            <input type='text' id='dia2' max="9999">
					            <span style='top:6px' class='material-icons'>&#9660;</span>
			        		<%}%>	
					</div>
				</div>
				
				<%List medioRespuestaList = null;
				if(sd.getVal("literalesMedioRecepcion") != null){
					medioRespuestaList = (List)sd.getVal("literalesMedioRecepcion");
					if(medioRespuestaList != null && !medioRespuestaList.isEmpty()){
						q53LogEstadisticas.printLog("medioRespuestaList : " + medioRespuestaList);

				%>
				<div id="medioRespuesta" class="col-sm-12 form-group  form-group-inline">
					<div class="col-sm-2">
						<span class='numero_apartado'>4</span>
						<span class="apartado">&nbsp;<%=enc_medio_respuesta%></span>
					</div>
					<div class="col-sm-10  form-group-inline">
					 <%for(int x=2;x<6;x++){%>
						<div class="col-sm-2 form-group-inline" >
						<input id='opt_9' name='opt_9' type='radio' value='<%=x%>'>
						<label for="opt_9"><%=medioRespuestaList.get(x)%></label>
						</div>
					<%}%> 
					</div>
				</div>
				<%q53LogEstadisticas.printLog("medio de respuesta : " + medioRespuestaList.get(0));%>
				
				<%}
				}%>
				
				
				<div id="tipoProcedencia" class="col-sm-12 form-group  form-group-inline">
					<div class="col-sm-2">
						<span class='numero_apartado'>5</span>
						<span class="apartado">&nbsp;<%=enc_tipo_procedencia%></span>
					</div>
					<div class="col-sm-10  form-group-inline">
						<input name='local' type='hidden' id='local'>
						<div class="col-sm-2  form-group-inline">
							<input type='checkbox' id='opt_local' class="styled-checkbox" name='opt_local' onchange="deshabilitar()">
							<label for="opt_local"></label>
							<label for="opt_local"><%=enc_local%></label>
						</div>
							   
						<div class="form-group-inline">
							<label for="cpos1"><%=cpos%></label>
							<input type='text' name='cpos1' id='cpos1' value='' size='8' maxlength='5' class='inptxt' >
						</div>
						
						<div class="form-group-inline">
							<label for="proc_pais_6_1"><%=enc_pais%></label>  
							<input type='text' id='proc_pais_6_1'>  
							<span style='top:6px' class='material-icons'>&#9660;</span>                    
						</div>
					
						<!-- <div class="form-group-inline">
							<input type='number' min="0" max="999" id="nPersonasProcedencia_6_1" name="nPersonasProcedencia_6_1" class='inptxt number'>
							<label for="nPersonasProcedencia_6_1"><%=enc_personas%></label>
						</div> -->
					</div>
				</div>
				<script>
					preguntas[preguntas.length]=new gen_PregProcedencia('6','<%=enc_tipo_procedencia%>','N','procedencia');
				</script>

				<%List tipoInformacionList = null;
				if(sd.getVal("literalesTipoInformacion") != null){
					tipoInformacionList = (List)sd.getVal("literalesTipoInformacion");
					if(tipoInformacionList != null && !tipoInformacionList.isEmpty()){

				%>
				<div id="tipoInformacion" class="col-sm-12 form-group  form-group-inline">
					<div class="col-sm-2">
						<span class='numero_apartado'>6</span>
						<span class="apartado">&nbsp;<%=tipoInformacionList.get(0)%></span>
					</div>
					<div class="col-sm-10  form-group-inline">
					<input name='opt_8' type='hidden' id='tipo_check_8'>
					<% q53RespuestaOpcionesBean beanPregs = (q53RespuestaOpcionesBean)sd.getVal("preguntasInteres");
						List opciones = beanPregs.getCodOpciones();
							for (int ind = 0; ind < opciones.size(); ind++){
								int cod = Integer.parseInt(((q53OpcionBean)opciones.get(ind)).getCodOpciones());
								%>
								<div class="col-sm-3" style="white-space: nowrap;">
									<input id='opt_check_<%=ind%>' name='opt_check_8' type='checkbox' value='<%= cod %>'>
									<label for='opt_check_<%=ind%>' ></label>
							  		<label for='opt_check_<%=ind%>' ><%=tipoInformacionList.get(cod)%></label>
							   	</div>
							<%}%>
					</div>
					
				</div>
			<script>
			preguntas[preguntas.length]=new gen_PregOpciones('8','<%=tipoInformacionList.get(0)%>','S','opciones','check');
			</script>
			<%  }
			}%>
			
			<div id="descripcionIn" class="col-sm-12 form-group  form-group-inline">
					<div class="col-sm-2">
						<span class='numero_apartado'>7</span>
						<span class="apartado"><%=txt_desc%></span>
					</div>
					<div class="col-sm-10  form-group-inline">
						<span class="styled-checkbox-box"></span>
							<textarea class="col-sm-10" name="txt_<%=cod_desc%>" rows="5" cols="40"></textarea>
						</span>
					</div>
			</div>
			
			<div id="envio" class="col-sm-12 form-group-inline form-group">
				<div class="col-sm-2">
					<span class='numero_apartado'>8</span>
					<span class="apartado"><%=not_recogida%></span>
				</div>
					
				<div class="col-sm-10 form-group-inline">
					<div class="form-group-inline">
				        <input id='check_envio' name='check_envio' type='checkbox' onClick="visualizar_datos_envio();">
						<label for="check_envio"></label>
						<label for="check_envio"><%=not_recogida%></label>
				   </div>
				</div>
				
				<div id="tabla_datos_envio" class="col-sm-10 form-group-inline">
					<div class="col-sm-12">
						<input id='tipo_envio' name='tipo_envio' type='radio' value='2' onClick="limpiar_campos_notificaciones()">
						<label for="email"><%=not_email%></label>
						<input class='inptxt' id="email" name="email" type="email">
					</div>
					<div class="col-sm-12">
						<input id='tipo_envio' name='tipo_envio' type='radio' value='1' onClick="limpiar_campos_notificaciones()">
						<label for="nombre"><%=not_nombre%></label>
						<input class='inptxt' maxlength="99" id="nombre" name="nombre" type="text">
					</div>
					<div class="col-sm-11">
						<label for="direccion"><%=not_direccion%></label>
						<input class='inptxt' maxlength="99" id="direccion" name="direccion" type="text">
					</div>
					<div class="col-sm-11">
						<label for="localidad"><%=not_localidad%></label>
						<input class='inptxt' maxlength="99" id="localidad" name="localidad" type="text">
						<label for="codPostal"><%=not_cp%></label>
						<input class='inptxt' maxlength="5" id="codPostal" name="codPostal" type="text">
					</div>
					<div class="col-sm-12">
						<input id='tipo_envio' name='tipo_envio' type='radio' value='3' onClick="limpiar_campos_notificaciones()">
						<label for="fax"><%=not_fax%></label>
						<input class='inptxt' id="fax" name="fax" type="text">
						<label for="fecha"><%=not_fecha%></label>
						<input class='inptxt' id="fecha" name="fecha" type="text">
						<label for="hojas"><%=not_nhojas%></label>
						<input class='inptxt' id="hojas" name="hojas" type="text">
					</div>
					<div class="col-sm-11">
						<label for="remitente"><%=not_remi%></label>
						<input class='inptxt' maxlength="39" id="remitente" name="remitente" type="text">
					</div>
					<div class="col-sm-11">
						<label for="destinatario"><%=not_desti%></label>
						<input class='inptxt' maxlength="39" id="destinatario" name="destinatario" type="text">
					</div>
				</div>
			</div>    		
			<script>
			preguntas[preguntas.length]=new gen_PregTexto (document.frm.txt_<%=cod_desc%>, '<%=txt_desc%>', 'N', 'texto', 250);
			</script>
			
						
			<!-- titulo Recogida de datos -->
			<%}
			if (sd.gOS("hay_preg_ofi").equals("SI")) {%> 
				<div id="cabecera_encuesta" class="col-sm-12  form-group-inline">
					<span>
						<%= cod_descripcion_oficina %>
					</span> 
				  <!-- FIN PARTE DE ULTIMA RESPUESTA -->
				</div>
				<!-- FIN titulo Recogida de datos --> 
				<input type="hidden" name="ofi_cod_encuesta" value="<%=cod_enc_oficina%>">
				<input type="hidden" name="ofi_cod_version" value="<%=cod_version_oficina%>">
			<%
				int num_pregunta = 10;
				int preguntasLength= 8;
				escribirTextoEncuesta(out, sd, "enc_ofi");    
				
				if(sd.getVal("preguntasList") != null && !((List)sd.getVal("preguntasList")).isEmpty()){
					List preguntasList = (List)sd.getVal("preguntasList");
					int numPreguntas = preguntasList.size();
					for(int k=0;k<numPreguntas;k++){
						q53PreguntaBean preguntaBean = (q53PreguntaBean)preguntasList.get(k);
						String tipoPregunta = preguntaBean.getTipoPregunta();
						if (tipoPregunta.equals(q53Constantes.TIPO_OPCIONES)) {
							preguntasLength++;            
							escribirPregOpciones(out, preguntaBean, num_pregunta,preguntasLength);
						}else if (tipoPregunta.equals(q53Constantes.TIPO_TEXTO)) {
							preguntasLength++;
							escribirPregTexto(out, preguntaBean, num_pregunta,preguntasLength);
						}else if (tipoPregunta.equals(q53Constantes.TIPO_FECHA)) {
							preguntasLength++;
							escribirPregFecha(out, preguntaBean,sd,  num_pregunta,preguntasLength);
						}
						num_pregunta++;
					}
				} // for i%>

			<!-- terminar -->
<%} // if hay_preg_ofi
%>
				<div id="botones" class="btn">
					<a href="/q53ItourbaskWar/q53usrEncuestaNoPresencialServlet?cod_encuesta=<%= sd.gOS("cod_encuesta") %>&cod_version=<%= sd.gOS("cod_version") %>&respuesta_rd_asociada=<%= sd.gOS("respuesta_rd_asociada") %>&encuestas_terminadas=<%= sd.gOS("encuestas_terminadas") %>" id="btn_terminar" class="btn btn-dark"><%= q53Util.getLiteral(sd, "ENC_VOLVER", q53_idioma) %></a>
	
				</div>
<!-- FIN terminar -->
</form>
<%//}
%>
<!-- FIN CENTRO -->
		</div>
	</div>

<script>
		$(document).ready(function(){	
 	 	$("#frm :input").prop("readonly", true);
 	 	$("#frm :checkbox").prop("disabled", true);
 	 	$("#frm :radio").prop("disabled", true);
	 });
</script>
</body>
</html>